/* {border: 1px solid #fff; } */

body {
	width: 100vw;
	height: 100vh;
	text-align: center;
	background-color: #000;
	color: #fff;
	margin: 0 0 0 0;
	padding: 0 0 0 0;
	overflow: hidden;
}


#overlord {
	width: 100%;
	height: 100%;
	position: relative;
	display: block;
}

#header {
	height: 10vh;
	margin-bottom: -5vh;
	width: 100vw;
	display: flex;
	position: relative;
	text-align: center;
	flex-direction: row;
	align-items: center;
	justify-content: center;
	z-index: 10;
}

#content {
	position: relative;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	width: 100vw;
	min-height: 85vh;
	background: #000;
}

#footer {
	height: 0;
	width: 100vw;
	display: flex;
	position: relative;
	text-align: center;
	flex-direction: row;
	align-items: center;
	justify-content: center;
}

.signature {
	margin-top: -60px;
	margin-left: -30px;
	display: inline-block;
	width: 257px;
	height: 150px;
	-webkit-filter: drop-shadow(0px 0px 2px rgba(0,0,0,1));
	filter: drop-shadow(0px 0px 2px rgba(0,0,0,1));
}
 
#copy {
	height: 15vh;
	width: 100vw;
	display: flex;
	position: relative;
	text-align: center;
	flex-direction: row;
	align-items: center;
	justify-content: center;
	z-index: -1;
}

#copy span {
	display: flex-box;
	margin-bottom: 0;
	font-family: 'Montserrat', sans-serif;
	font-weight: 300;
	color: #666;
	border: none !important;
}

h1 {
	display: inline-block;
	position: relative;
	width: 100%;
	height: 0;
	border-top: 2px solid #fff;
	border-bottom: 2px solid #fff;
	text-align: center;
	line-height: initial;
	font-family: 'Montserrat', sans-serif;
	font-weight: 100;
	font-size: 75px;
	line-height: 1px;
	letter-spacing: 20px;
	margin: 1vh 0 1vh 0;
	-webkit-box-shadow: 0px 0px 100px 5px #fff; 
	box-shadow: 0px 0px 100px 5px #fff;
	z-index: 5;
}

h1 a {
	border: none;
}

a.buttonContainer {
	align-items: center;
	justify-content: center;
	display: flex;
	width: 100vw;
	height: 8vh;
	text-decoration: none;
	margin: 1vh;
}

a.buttonContainerDisabled {
	align-items: center;
	justify-content: center;
	display: flex;
	width: 100vw;
	height: 8vh;
	text-decoration: none;
	margin: 1vh;
}

span.button {
	transition: all .1s ease;
	display: flex-box;
	border: none;
	margin: 1vh 0 1vh 0;
	color: #000;
	font-family: 'Montserrat', sans-serif;
	font-weight: 200;
	background: #fff;
	border-radius: 6px;
	text-decoration: none;
	padding: 2.5vh 0 0 0;
	text-transform: uppercase;
	min-width: 300px;
	border: 1px solid #000;
	-webkit-box-shadow: 0px 0px 0px 5px #000; 
	box-shadow: 0px 0px 0px 0px #000;
}

span.buttonDisabled {
	transition: all .25s ease;
	display: flex-box;
	border: none;
	margin: 1vh 0 1vh 0;
	color: #000;
	font-family: 'Montserrat', sans-serif;
	font-weight: 200;
	background: #666;
	border-radius: 6px;
	text-decoration: none;
	padding: 2.5vh 0 0 0;
	text-transform: uppercase;
	min-width: 300px;
	border: 1px solid #000;
	-webkit-box-shadow: 0px 0px 0px 5px #000; 
	box-shadow: 0px 0px 0px 0px #000;
	cursor: default;
}

.hold {
	position: relative;
}

.container {
	position: absolute;
	top: 5vh;
	left: -1vw;
	width: 102vw;
	text-align: center;
}

.video-container {
	position: relative;
	background-image: url('../.images/loading.gif');
	background-repeat: no-repeat;
	background-position: center center;
}

.video-container{
	position: relative;
	margin: auto;
	width: 100%;
	height: 85vh;
	background-color: #000;
	overflow: hidden;
	clip-path: 0 0;
	transform: translatez(0);
}



video {
	display: inline-block;
	background: none;
	transform: translatez(0);
	position: absolute;
	top: -100%;
	bottom: -100%;
	left: -100%;
	right: -100%;    
	margin: auto;
	max-width: 85vh;
	min-height: 85vh;
	}

#video-fade {
	width: 85vh;
	height: 85vh;
	z-index: 1;
	pointer-event: none;
	position: absolute;
	box-shadow: 1px 1px 36px 31px rgba(0,0,0,1) inset;
	-webkit-box-shadow: 1px 1px 36px 31px rgba(0,0,0,1) inset;
	-moz-box-shadow: 1px 1px 36px 31px rgba(0,0,0,1) inset;
}

#borderfade {
	position: absolute;
	top: -50px;
	left: 0;
	right: 0;
	bottom: -50px;
	pointer-events: none;
	z-index: 100;
	box-shadow: 1px 1px 36px 31px rgba(0,0,0,1) inset;
	-webkit-box-shadow: 1px 1px 36px 31px rgba(0,0,0,1) inset;
	-moz-box-shadow: 1px 1px 36px 31px rgba(0,0,0,1) inset;
}

@media (orientation:portrait) {

	#video-fade{
		display: none;
	}

	span.button {
		font-size: 3em;
		line-height: 0;
		height: 1em;
		width: 50vw;
	}
	
	.buttonContainer:hover > span {
		transition: all 0.1s ease;
		height: 0;
		padding: 0;
		line-height: 0;
		border: 1px solid #fff;
		margin: 4vh 0;
		width: 100vw;
		color: #fff;
		border-radius: 50%;
	}
	
	span.buttonDisabled {
		font-size: 3em;
		line-height: 0;
		height: 1em;
		width: 50vw;
	}
	
	.buttonContainerDisabled:active > span {
		transition: all 0.1s ease;
		opacity: .5;
	}

	#copy span {
		font-size: 22px;
	}

}

@media (orientation:landscape) {

	span.button {
		font-size: 1.5em;
		line-height: 0;
		height: 2.5vh;
		width: 15vw;
	}
	
	.buttonContainer:hover > span {
		transition: all 0.25s ease;
		height: 0;
		padding: 0;
		line-height: 0;
		border: 1px solid #fff;
		margin: 3vh 0 3vh 0;
		width: 100vw;
		color: #fff;
		font-weight: 300;
	}
	
	span.buttonDisabled {
		font-size: 1.5em;
		line-height: 0;
		height: 2.5vh;
		width: 15vw;
	}
	
	.buttonContainerDisabled:active > span {
		transition: all 0.1s ease;
		opacity: .5;
	}

	#copy span {
		font-size: 12px;
	}

}

.secretText {
  animation: rainbow 1s ease-in-out infinite;
}

@keyframes rainbow {
  0% {
    color: red;
    border-top: 2px solid red;
    border-bottom: 2px solid red;
  }
  14.28% {
    color: orange;
    border-top: 2px solid orange;
    border-bottom: 2px solid orange;
  }
  28.56% {
    color: yellow;
    border-top: 2px solid yellow;
    border-bottom: 2px solid yellow;
  }
  42.84% {
    color: rgba(150,255,150,1);
    border-top: 2px solid rgb(150,255,150);
    border-bottom: 2px solid rgb(150,255,150);
  }
  57.12% {
    color: rgba(150,150,255,1);
    border-top: 2px solid rgb(150,150,255);
    border-bottom: 2px solid rgb(150,150,255);
  }
  71.4% {
    color: rgba(255,150,255,1);
    border-top: 2px solid rgb(255,150,255);
    border-bottom: 2px solid rgb(255,150,255);
  }
  85.68% {
    color: violet;
    border-top: 2px solid violet;
    border-bottom: 2px solid violet;
  }
  100% {
    color: red;
    border-top: 2px solid red;
    border-bottom: 2px solid red;
  }
}

.secretButton span {
  animation: rainbow2 1s ease-in-out infinite;
}

@keyframes rainbow2 {
  0% {
    background: red;
  }
  14.28% {
    background: orange;
  }
  28.56% {
    background: yellow;
  }
  42.84% {
    background: rgba(150,255,150,1);
  }
  57.12% {
    background: rgba(150,150,255,1);
  }
  71.4% {
    background: rgba(255,150,255,1);
  }
  85.68% {
    background: violet;
  }
  100% {
    background: red;
  }
}